@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
uf2.h File Reference
`#include <stdint.h>`
`#include <assert.h>`
Include dependency graph for uf2.h:

Go to the source code of this file.

## Data Structures

struct | uf2_block

## Macros

#define | UF2_MAGIC_START0 0x0A324655u
#define | UF2_MAGIC_START1 0x9E5D5157u
#define | UF2_MAGIC_END 0x0AB16F30u
#define | UF2_FLAG_NOT_MAIN_FLASH 0x00000001u
#define | UF2_FLAG_FILE_CONTAINER 0x00001000u
#define | UF2_FLAG_FAMILY_ID_PRESENT 0x00002000u
#define | UF2_FLAG_MD5_PRESENT 0x00004000u
#define | UF2_FLAG_EXTENSION_FLAGS_PRESENT 0x00008000u
#define | CYW43_FIRMWARE_FAMILY_ID 0xe48bff55u
#define | RP2040_FAMILY_ID 0xe48bff56u
#define | ABSOLUTE_FAMILY_ID 0xe48bff57u
#define | DATA_FAMILY_ID 0xe48bff58u
#define | RP2350_ARM_S_FAMILY_ID 0xe48bff59u
#define | RP2350_RISCV_FAMILY_ID 0xe48bff5au
#define | RP2350_ARM_NS_FAMILY_ID 0xe48bff5bu
#define | BOOTROM_FAMILY_ID_MIN RP2040_FAMILY_ID
#define | BOOTROM_FAMILY_ID_MAX RP2350_ARM_NS_FAMILY_ID
#define | FAMILY_ID_MAX BOOTROM_FAMILY_ID_MAX
#define | UF2_EXTENSION_RP2_IGNORE_BLOCK 0x9957e304